import { ScopeMaps } from "../createScopeMaps";
import { Node, Typed, Expression } from "../ast";
import * as ast from "../ast";
export declare function getContainingIfTestAndOriginalDeclarator(node: ast.ConditionalDeclaration, scopeMap: ScopeMaps, ancestorMap: Map<Node, Node>): [Expression, ast.Declarator | null];
export declare function getPredecessors(node: any, scopeMap: ScopeMaps, ancestorMap: Map<Node, Node>): Iterable<Typed>;
export default function getSortedTypedNodes(root: any, scopeMap: ScopeMaps, ancestorsMap: Map<Node, Node>): any[];
